// router/index.js
import Vue from "vue";
import VueRouter from "vue-router";
import Home from "../views/home/Index.vue";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/login",
  },
  {
    path: "/home",
    redirect: "/home/cockpitManage",
    name: "home",
    component: Home,
    children: [
      // 驾驶舱
      {
        path: "cockpitManage",
        name: "cockpitManage",
        component: () => import("../views/admin/cockpitManage/Index.vue"),
        children: [
          // 电子地图
          {
            path: "electronic-map",
            name: "electronicMap",
            component: () =>
              import("../views/admin/cockpitManage/electronicMap.vue"),
          },
        ],
      },
      // 电子地图
      {
        path: 'electronic-map',
        name: 'electronicMap',
        component: () =>
          import('../views/admin/cockpitManage/electronicMap.vue')
      },
      //数据操作
      {
        path: 'dataAdministration',
        name: 'dataAdministration',
        component: () =>
          import('../views/dataAdministration/index.vue')
      },
      //企业信息
      {
        path: 'enterprise',
        name: 'enterprise',
        component: () =>
          import('../views/ledger/enterprise.vue')
      },
      //风场信息
      {
        path: 'windsite',
        name: 'windsite',
        component: () =>
          import('../views/ledger/windsite.vue')
      },
      // 风机信息
      {
        path: 'draught',
        name: 'draught',
        component: () =>
          import('../views/ledger/draught.vue')
      },
      // 机型信息
      {
        path: 'milltype',
        name: 'milltype',
        component: () =>
          import('../views/ledger/milltype.vue')
      },
        // 测风塔信息
        {
          path: 'anemometer',
          name: 'anemometer',
          component: () =>
            import('../views/ledger/anemometer.vue')
        },
    ]
  },
  {
    path: "/login",
    name: "login",
    component: () => import("../views/login/Index.vue"),
  },
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  scrollBehavior: () => ({ y: 0 }),
  routes,
});

const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch((err) => err);
};

export default router;
