import { login } from "../api/login";
import { getAuthRouterFn } from "@/utils/getAuth";

export default {
  namespaced: true, // 子模块一定要开启命名空间
  state: {
    userInfo: {},
    // routes: [],
  },
  getters: {},
  mutations: {
    SET_USERINFO(state, payload) {
      state.userInfo = payload;
    },
    DEL_TOKEN(state, payload) {
      state.userInfo.token = null;
    },
    // SET_ROUTES(state, routes) {
    //   state.routes = routes;
    // },
  },
  actions: {
    async goLogin({ commit, dispatch }, { loginForm, router }) {
      try {
        const result = await login(loginForm);
        commit("SET_USERINFO", result.data);
        dispatch("setAddRouter", {
          resultRouter: result.data.permission,
          router,
        });
      } catch (error) {
        console.error("Login error:", error);
      }
    },
    setAddRouter({ commit }, { resultRouter, router }) {
      console.log("1111");
      const { authRouterList } = getAuthRouterFn(resultRouter);
      // 获取home路由
      const homeRoute = router.options.routes.find(
        (route) => route.name === "home"
      );
      // 确保home路由存在
      if (homeRoute) {
        if (!homeRoute.children) {
          homeRoute.children = [];
        }
        authRouterList.forEach((item) => {
          // 动态路由的父路径设置为home
          homeRoute.children.push(item);
        });
        // 重新添加home路由
        router.addRoute(homeRoute);
      }
      // 添加404页面路由
      router.addRoute({
        path: "/:pathMatch(.*)*",
        name: "NotFound",
        component: () => import("@/views/error/404.vue"),
        meta: { hidden: true },
      });
      console.log("router", router.getRoutes());
      // 持久化存储动态路由
      // commit("SET_ROUTES", homeRoute.children);
      // localStorage.setItem("authRoutes", JSON.stringify(homeRoute.children));
      // 确保导航到动态添加的路由
      router.push("/home/system/userMag");
    },
  },
};
